#ifndef SWFRESOURCE_H
#define SWFRESOURCE_H

#include <QListWidgetItem>

class SWFContainer;

class SWFResource : public QObject
{
    Q_OBJECT
public:
    enum Type {
        BitmapImage,
        BinaryData
    };

    explicit SWFResource(SWFContainer*, QString);

    inline QString typeString(){
        switch(type){
            case BitmapImage:
                return "BitmapImage";
            case BinaryData:
                return "BinaryData";
            default:
                return "Unknown";
        }
    }

    QListWidgetItem* getWidget();
    QString name;
    int objectID;
    int width;
    int height;
    Type type;

    SWFContainer* container;

signals:

public slots:

};

#endif // SWFRESOURCE_H
